﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="DemoWebApplication._Default" %>
<%@ Import Namespace="aspnet_TextTruncator" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
<title>TextTruncator Demo</title>
<style type="text/css">
html, body
{
  background-color: #FFF;
	color: #000;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
}
a:link, a:visited
{
	color: #336699;
	text-decoration: none;
}
a:hover, a:active
{
	text-decoration: underline;
}
h1.title
{
    font-family: Arial, Sans-Serif;
    font-size: 28px;
    font-weight: bold;
    padding-bottom: 10px;
}
h2
{
    font-family: Arial, Sans-Serif;
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 10px;
}
.testsection
{
    margin-top: 20px;
    padding-bottom: 20px;
    border-bottom: solid 1px #CCC;
}
.testlink1
{
    font-family: Arial, Sans-Serif;
    font-size: 18px;
    font-weight: bold;
}
.testlink2
{
    font-family: Verdana, Sans-Serif;
    font-size: 12px;
    font-weight: normal;
}
</style>
</head>
<body>

<h1 class="title">TextTruncator Demo</h1>

<div class="testsection">
  <h2>Maximum width = 400px (Font: Arial, 18px, bold):</h2>
  <a class="testlink1" href="javascript:void(0)"><%= HttpUtility.HtmlEncode(TextTruncator.TruncateText("Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.", 400, "Arial", 18, true)) %></a>
</div>

<div class="testsection">
  <h2>Maximum width = 600px (Font: Arial, 18px, bold):</h2>
  <a class="testlink1" href="javascript:void(0)"><%= HttpUtility.HtmlEncode(TextTruncator.TruncateText("Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.", 600, "Arial", 18, true)) %></a>
</div>

<div class="testsection">
  <h2>Maximum width = 300px (Font: Verdana, 12px, normal):</h2>
  <a class="testlink2" href="javascript:void(0)"><%= HttpUtility.HtmlEncode(TextTruncator.TruncateText("Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.", 300, "Verdana", 12)) %></a>
</div>

<div class="testsection">
  <h2>Maximum width = 600px (Font: Verdana, 12px, normal):</h2>
  <a class="testlink2" href="javascript:void(0)"><%= HttpUtility.HtmlEncode(TextTruncator.TruncateText("Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.", 600, "Verdana", 12)) %></a>
</div>

</body>
</html>
